Subject: DHCPv6 hopcount=255?

From: Erik Nordmark <[email-masked]>
Date: Thu, 19 Aug 1999 17:41:43 -0400 (EDT)

I don't know if this has been discussed before but when reading the 200
messages on the subject of "IPv6 and Dynamic DNS" I started wondering...

Currently anybody can spoof a DHCPv* packet which says "please update the A*
records for this name", as far as I can tell.
Would it make sense to use hoplimit=255 to verify that DHCP packets can only
be sent by nodes on the link?
(These types of attacks are becomming popular - e.g. the recent IPv4 ICMP
router discovery attacks.)

I imagine this would require some work since many DHCPv6 packets can go
either through a relay or directly to the server - and the server
is likely to be multiple hops away.

Can DHCPv4 authentication without any configuration of per-client keys
provide this functionality for DHCPv6?

   Erik